Accounting Period Balance
The accounting period balance resource.
/accountingPeriodBalanceList accounting period balances
Retrieve a paginated list of accounting period balances. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/accountingPeriodBalance?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"companyId": "xyz789",
"accountingPeriodId": "xyz789",
"accountId": "xyz789",
"endingBalance": 0,
"endingBalanceDate": "2026-01-01",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]/accountingPeriodBalanceRetrieve a accounting period balance
Fetch a single accounting period balance by filtering on `id`.
Query parameters
idstringMatch on the accounting period balance's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/accountingPeriodBalance?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"companyId": "xyz789",
"accountingPeriodId": "xyz789",
"accountId": "xyz789",
"endingBalance": 0,
"endingBalanceDate": "2026-01-01",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/accountingPeriodBalanceCreate a accounting period balance
Create a new accounting period balance.
Body parameters
accountingPeriodIdstringrequiredReferences accountingPeriod.id
accountIdstringrequiredReferences account.id
endingBalancenumberrequiredendingBalanceDatedaterequiredcurl --request POST \
--url https://rest.carbon.ms/accountingPeriodBalance \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"accountingPeriodId":"xyz789","accountId":"xyz789","endingBalance":0,"endingBalanceDate":"2026-01-01"}'{
"id": "abc123def456",
"companyId": "xyz789",
"accountingPeriodId": "xyz789",
"accountId": "xyz789",
"endingBalance": 0,
"endingBalanceDate": "2026-01-01",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/accountingPeriodBalanceUpdate a accounting period balance
Update an existing accounting period balance, matched on `id`.
Body parameters
accountingPeriodIdstringrequiredReferences accountingPeriod.id
accountIdstringrequiredReferences account.id
endingBalancenumberrequiredendingBalanceDatedaterequiredcurl --request PATCH \
--url 'https://rest.carbon.ms/accountingPeriodBalance?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"accountingPeriodId":"xyz789"}'{
"id": "abc123def456",
"companyId": "xyz789",
"accountingPeriodId": "xyz789",
"accountId": "xyz789",
"endingBalance": 0,
"endingBalanceDate": "2026-01-01",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/accountingPeriodBalanceDelete a accounting period balance
Delete a accounting period balance, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the accounting period balance to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/accountingPeriodBalance?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'